package machine;

public class Command implements Node {
	public final String name;
	public final String code;
	
	public final int pos;
	
	public Command(String _name, String _code, int _pos) {
		name = _name;
		code = _code;
		pos = _pos;
	}
	
	public String toString() {
		return "    " + name + " " + code;
	}
	
	public void run(Visitor v) {
		v.visit(this);
	}
}
